Bug 1120765 - Slow UI (>20seconds to load page) Composite Content-view -> Adding Content Views
Summary: Slow UI (>20seconds to load page) Composite Content-view -> Adding Content Views
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 15:30 UTC by Alex Krzos
Modified: 2017-02-23 21:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:40 UTC


Attachments (Terms of Use)
foreman/production.log (808.85 KB, text/plain)
2014-07-17 15:33 UTC, Alex Krzos
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 9534 None None None 2016-04-22 15:50:25 UTC

Description Alex Krzos 2014-07-17 15:30:29 UTC
Description of problem:
Adding content-views to composite content-view is slow.  Every time I attempt to add an individual content-view to a composite content-view the UI reloads the entire list of content-views available to be added.  In my environment with 100 content-views this results in a >20s load time on the UI. 

Version-Release number of selected component (if applicable):
Sat 6.0.3 Beta
Build: Snap11-Compose3
RHEL 6.5 2.6.32-431.20.3
katello-1.5.0-26.el6sat.noarch
foreman-1.6.0.21-1.el6sat.noarch
candlepin-0.9.19-1.el6_5.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
puppet-3.6.2-1.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Sat 6.0.3 with manifest uploaded, content synced, custom content synced, and content views published/promoted
2. Create Composite Content-view and navigate to Content-Views Tab -> Add (Wait for page to load) with enough content-views this page will take longer than 20 seconds to load.

Actual results:
The page takes more than 20 seconds to load.

Expected results:
I would expect the page load to take less than 20 seconds.

Additional info:
A grep against the captured foreman/production log shows:
# grep "CACHE" production.log -c
707
# grep "SELECT" production.log -c
1860
# grep "Completed" production.log
Completed 200 OK in 23781ms (Views: 22595.7ms | ActiveRecord: 681.8ms)

^ Greater than 20 seconds to load the page and a large number of queries to load the page as well.

This problem becomes more noticeable as an individual is adding individual content-views as the page reloads each time "+ Add Content Views" is pressed

Comment 1 Alex Krzos 2014-07-17 15:33:10 UTC
Created attachment 918775 [details]
foreman/production.log

Comment 2 RHEL Product and Program Management 2014-07-17 15:34:05 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Walden Raines 2015-02-24 16:25:35 UTC
Created redmine issue http://projects.theforeman.org/issues/9534 from this bug

Comment 5 Walden Raines 2015-02-24 18:47:07 UTC
PR: https://github.com/Katello/katello/pull/5047

Comment 6 Bryan Kearney 2015-02-26 15:02:35 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9534 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|0603abcadd03186cf0a969274cd42c538e2a1170.

Comment 9 Tazim Kolhar 2015-03-04 07:59:31 UTC
VERIFIED :

# rpm -qa | grep foreman
foreman-1.7.2.8-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.2-1.el6_6sat.noarch
foreman-compute-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.2-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.1-1.el6_6sat.noarch
foreman-proxy-1.7.2.3-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.5-1.el6_6sat.noarch
foreman-vmware-1.7.2.8-1.el6_6sat.noarch
foreman-libvirt-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_abrt-0.0.5-2.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-1.0-2.noarch
rubygem-hammer_cli_foreman-0.1.4.6-1.el6_6sat.noarch
foreman-selinux-1.7.2.8-1.el6_6sat.noarch
foreman-debug-1.7.2.8-1.el6_6sat.noarch
foreman-gce-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.8-2.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.5-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-postgresql-1.7.2.8-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.3-1.el6_6sat.noarch
foreman-ovirt-1.7.2.8-1.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.8-1.el6_6sat.noarch

Comment 10 Bryan Kearney 2015-08-11 13:30:01 UTC
This bug is slated to be released with Satellite 6.1.

Comment 11 errata-xmlrpc 2015-08-12 05:10:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.